Subject: bug#400: 23.0.60; C-h v should pick up lispified name in Customize

From: Stefan Kangas <[email-masked]>
Date: Fri, 22 Oct 2021 01:12:22 -0700

Eli Zaretskii <[email-masked]> writes:

> To customize a variable from the groups buffer, you click or type RET
> on the arrow to expand its customization form, right?  However, the
> doc string of the variable is still shown in its one-line variant.
> I'm saying that showing the full doc string as result of that could be
> a sufficient solution.

That could work, but if the docstring is long it might be considered
disruptive.

>> Maybe we are miscommunicating.  I mean that if we add a new command
>> `customize-describe-variable', it won't complicate `describe-variable'.
>
> But then you usurp the "C-h v" key binding for another command, and
> the user cannot invoke the original Help command easily?

That's true.  But if the only difference between the original command
and the new one is that the new one gives you a default, whereas tho old
one gives you no default, perhaps this is okay.